<?php
include 'system/bd.php';
include 'system/cook.php';
include ("system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include 'system/head.php';
switch($_GET[mod]){
default:

if($user[save]=="10"){
echo '
<div class="title">Настройки</div>';
echo' <div class="block_link">';
echo"<a href=\"setting.php?mod=nick\"> <img src=\"img/images/arrow.png\"> Сменить ник</a></div>";
echo' <div class="line"></div>';
echo' <div class="block_link">';
echo"<a href='setting.php?mod=storona'> <img src=\"img/images/arrow.png\"> Сменить сторону</a></div>";
echo' <div class="line"></div>';
echo' <div class="block_link">';
echo"<a href=\"setting.php?mod=password\"> <img src=\"img/images/arrow.png\"> Сменить пароль</a></div>";
echo' <div class="line"></div>';
echo' <div class="block_link">';
echo"<a href=\"setting.php?mod=avtolog\"> <img src=\"img/images/arrow.png\"> Мой автологин</a></div>";
echo' <div class="line"></div>';
echo' <div class="block_link">';
echo"<a href=\"exit.php\"> <img src=\"img/images/arrow.png\"> Выйти из игры</a></div>";
echo' <div class="line"></div>';

}else{
header ("Location: save.php"); exit;
}



break;
case 'nick':
echo ' <div class="title">Смена ника</div>';
echo ' <div class="bor1"><div class="bor2"><div class="bor3"><div class="bor4"><div class="bor_bg item_center"> Стоимость сменить ник: 100 <img src="/img/icon/gold.png" alt="*"/> золота </div> </div> </div> < /div></div>';

echo ' <div class="block item_center">';


if (('chat_clear') && isset($_GET['act']) && $_GET['act']=='clear1')  {  echo"<center>Новый ник успешно установлен.</center><hr>";  }  
if (isset($_GET['go']) && $_GET['go']=='reg'){
$login = $_POST['login'];
$login = mysql_real_escape_string(trim($login));


if (strlen($login)>20)$err[]='<center>Слишком длинный ник</center>';
if (strlen($login)<3)$err[]='<center>Слишком короткий ник.<hr></center>';
if (ereg_replace("[a-z0-9_-]","",strtolower($login)))$err[]='<center>Ник должен состоять из латинских букв и цифр и/или символов _ и -.<hr></center>';
if(empty($login)){
$err[]="<center>Не все поля заполнены</center>";
}

$login2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login`='".mysql_real_escape_string($login)."'"),0);
if($login2){
$err[]="<center>Такой ник уже занят<hr></center>";

}

if(!$err){

if($user[gold]<"100"){
echo'<div class="block_link">';
echo "<font color='red'>";
echo' Не хватает золота';
echo"</font>";
echo'</div></div>';
echo'<hr> <div class="block_link"> ';
	echo '<a href="setting.php"> <img src="/img/foot/index.png" alt="*"/> Вернуться</a></div><hr>';
include 'system/foot.php';
exit;
}


mysql_query("UPDATE `user` SET `login`= '$login',`gold`= `gold` -'100' WHERE `id` = '$user[id]'");



if(!$chat_clear){

echo' <div class="block_link"> ';
echo " <font color='green'>";
echo'
 Новый ник успешно установлен';
 echo'</font>';
echo'</div></div>';
echo'<hr> <div class="block_link"> ';
	echo '<a href="setting.php"> <img src="/img/foot/index.png" alt="*"/> Вернуться</a></div><hr>';
include 'system/foot.php';
exit;
}





header("Location: magazin.php?mod=nick&act=clear1");
}else{
	foreach($err as $valhelp){
		echo ''.$valhelp.' </b>';	}
}}

echo'
<form action="setting.php?mod=nick&go=reg" method="post" class="aut">
Ник:<small> (от 3 до 20 латинских букв и цифр)</small><br>
<input name="login" value="'.htmlspecialchars($_POST['login']).'"><br>
<input type="submit" value="Сменить" class="button"/>
</form></div>
';
echo'<hr><div class="block_link">';
	echo '<a href="setting.php"> <img src="/img/foot/index.png" alt="*"/> Вернуться</a></div>';
break;
//////////

case 'storona':
echo' <div class="title">Сменить сторону</div>
<div class="block_zero center"></div><center>';

echo' <div class="empty_block item_center bottom">
Какую сторону выберешь ты?
</div>';

echo ' <table width="100%" border="0" cellpadding="0" cellspacing="0" style="color:#E5CBB7">
<tbody>
<tr>
   <td align="center"><a href="?mod=dark">
<img  class="img_start" src="/img/user/avatar/'.$user[sex].'_'.$user[rasa].'_dark.png">
<br>Красные</a></td> 

   <td align="center"><a href="?mod=light">
<img class="img_start" src="/img/user/avatar/'.$user[sex].'_'.$user[rasa].'_light.png">
<br>Синие</a></td></tr></tbody></table></div>';

break;
case 'dark':
mysql_query("UPDATE `user` SET `storona` = 'dark'
 WHERE `id` = '$user[id]'");
header ("Location: ?mod=storona_ok");exit;
break;

case 'light':
mysql_query("UPDATE `user` SET `storona` = 'light'
 WHERE `id` = '$user[id]'");
header ("Location: ?mod=storona_ok");exit;
break;
case 'storona_ok':
echo 'ты сменил сторону';
break;
//////////////
case 'password':
echo ' <div class="title">Смена пароля</div>';
echo' <div class="block item_center">';

if (isset($_GET['go']) && $_GET['go']=='reg'){
$password = $_POST['password'];
$password = mysql_real_escape_string(trim($password));
$secret = mysql_real_escape_string(trim($_POST['secret']));




if(empty($password) or empty($secret)){
echo" <center> Не все поля заполнены</center>";
}else{
if (mysql_real_escape_string($_POST['secret'])!=$user['secret']){echo'<center>Неверное секретное слово</center>';
}else{
if (strlen($password)>36){
echo " <font color='red'>";
echo'<center>Слишком длинный пароль</center>';
echo " </font>";
}else{
if (strlen($password)<6){
echo " <font color='red'>";
echo'<center>Слишком короткий пароль</center>';
echo "</font>"; 
}else{
mysql_query("UPDATE `user` SET `password`='$password' WHERE `id`='".$user['id']."'");
echo " <font color='green'>";
echo'<center>Пароль успешно изменен</center>';
echo "</font>";
}}}}}

echo '<form action="setting.php?mod=password&go=reg" method="post">';


echo'
Секретный код: <br><input name="secret" value="'.htmlspecialchars($_POST['secret']).'"/><br />';
	echo 'Новый пароль: <br><input type="password" name="password"  value="'.htmlspecialchars($_POST['password']).'"/><br />';
	echo '<input type="submit" class="button" value="Изменить">';
echo '</form></div><hr>';

	

echo'<hr<div class="block_link">';
	echo '<a href="setting.php"> <img src="/img/foot/index.png" alt="*"/> Вернуться</a></div><hr>';

///////////////////
break;
case 'avtolog':
echo' <div class="empty_block item_center bottom "> Ссылка для автоматического входа:</div>';
echo' <div class="block item_center">';
echo '
Скопируйте адрес:<br/>';

echo '<input name=\'enter\' 
value=\'http://gingal.ru/avtovhod.php?id='.$user[id].'&password='.$user[password].'\'/>
<br>';
echo'</div>';
echo'<hr><div class="block_link">';
	echo ' <a href="setting.php"> <img src="/img/foot/index.png" alt="*"/> Вернуться</a></div><hr>';
}
}else{
header ("Location: index.php"); exit;
}
include 'system/foot.php';
?>
